#ifndef PkgDest_1L_INCLUDED
#define PkgDest_1L_INCLUDED

#include <bncs_script_helper.h>

#ifdef WIN32
	#ifdef DOEXPORT_SCRIPT
		#define EXPORT_SCRIPT __declspec(dllexport) 
	#else
		#define EXPORT_SCRIPT 
	#endif
#else 
	#define EXPORT_SCRIPT
#endif
 
class PkgDest_1L : public bncs_script_helper
{
public:
	PkgDest_1L(bncs_client_callback * parent, const char* path);
	virtual ~PkgDest_1L();

	void buttonCallback(buttonNotify *b);
	int revertiveCallback(revertiveNotify *r);
	void databaseCallback(revertiveNotify *r);
	bncs_string parentCallback(parentNotify *p);
	void timerCallback(int);
	
private:
	bncs_string m_instance;
	bncs_string mymatrixobject;
	bncs_string myLevelTxt;
	bncs_string myBtnDeselectState;
	bncs_string myBtnSelectState;
	bncs_string mytallystate_1;

	int myMatrixID;
	int myDestID;
	int myLevel;
	int myNamesDatabase;
	int pkg_names;
	int pkg_content;
	int L1_driverID;
	int L1_destination;

	bool iAmSelected;
	
	// Local methods
	void extractElements();
};


#endif // SingleMtxDest_INCLUDED